Bug 215033 - net/glusterfs: Update to 3.9.0
Summary: net/glusterfs: Update to 3.9.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: freebsd-ports-bugs mailing list
URL: https://reviews.freebsd.org/D8705
Keywords: needs-qa
Depends on:
Blocks:
 
Reported: 2016-12-04 01:20 UTC by craig001
Modified: 2017-01-21 03:10 UTC (History)
2 users (show)

See Also:
craig001: maintainer-feedback+


Attachments
diff to bump port upto 3.9.0 (13.60 KB, patch)
2016-12-05 16:43 UTC, craig001
craig001: maintainer-approval+
Details | Diff
3.9.0 port tarball (rc1) (4.77 KB, application/octet-stream)
2016-12-05 16:50 UTC, craig001
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description craig001 2016-12-04 01:20:18 UTC
attempt to update Gluster to the latest stable 3.9.0 release

https://reviews.freebsd.org/D8705

updated Makefile, distinfo, pkg-plist, and patches to reflect changes upstream.

built and installed on amd64 11.0-RELEASE-p2, testing ongoing.
Comment 1 Kubilay Kocak freebsd_committer freebsd_triage 2016-12-04 11:20:33 UTC
@Craig

Thanks for your submission. Could you please:

- Include your changes as an attachment (svn diff) In Bugzilla
- Set maintainer-approval to + on attachments for ports you are maintainer of. Attachment -> Details -> maintainer-approval +
- Confirm these changes pass QA (at least portlint and poudriere). For more information see: https://www.freebsd.org/doc/en_US.ISO8859-1/books/porters-handbook/testing.html

Also note that proposed changes should be QA tested as thoroughly as possible, *prior* to submitting them in Bugzilla for merging/commit into the Ports tree.
Comment 2 craig001 2016-12-05 16:43:22 UTC
Created attachment 177691 [details]
diff to bump port upto 3.9.0

current diff under review on reviews.freebsd.org
Comment 3 craig001 2016-12-05 16:46:23 UTC
craig@shelduck:~/glusterfs % portlint -A
WARN: Makefile: Consider adding support for a NLS knob to conditionally disable gettext support.
WARN: Makefile: possible use of absolute pathname "/boot/modules".
WARN: Makefile: for new port, make $FreeBSD$ tag in comment section empty, to make SVN happy.
WARN: Makefile: new ports should not set PORTREVISION.
WARN: Consider to set DEVELOPER=yes in /etc/make.conf
0 fatal errors and 5 warnings found.
Comment 4 craig001 2016-12-05 16:50:45 UTC
Created attachment 177692 [details]
3.9.0 port tarball (rc1)
Comment 6 commit-hook freebsd_committer 2017-01-21 03:09:33 UTC
A commit references this bug:

Author: swills
Date: Sat Jan 21 03:08:31 UTC 2017
New revision: 432008
URL: https://svnweb.freebsd.org/changeset/ports/432008

Log:
  net/glusterfs: Update to 3.9.0

  PR:		215033
  Submitted by:	craig001@lerwick.hopto.org (maintainer)

Changes:
  head/net/glusterfs/Makefile
  head/net/glusterfs/distinfo
  head/net/glusterfs/files/patch-configure
  head/net/glusterfs/files/patch-contrib-fuse-lib-mount.c
  head/net/glusterfs/files/patch-extras-Makefile.in
  head/net/glusterfs/pkg-plist
Comment 7 Steve Wills freebsd_committer 2017-01-21 03:10:45 UTC
Committed, thanks!